Grundlagen und Hilfe zum Programm NwrVis

Peter Lenhard

Version 1.0.0 vom 31. Juli 2006

Inhaltsverzeichnis

  • Einführung
  • Grundlagen
  • Installation: Umstieg auf neues Datenformat
  • Hauptfenster
  • Meldungsfenster
  • Menüeinträge
  • Änderungen zwischen den Versionen
  • Glossar


Einführung

Das Programm NwrVis dient zur Visualisierung von Naturwalddaten im Format der FAWF Rheinland-Pfalz.

Die Daten werden grafisch dargestellt und ausgewertet. Eine Eingabemöglichkeit besteht im Programm derzeit nicht, jedoch wird die Benutzung des DOS-Eingabeprogrammes NWR2.EXE unterstützt (s. Menüpunkt Objekt/Koppeln, das Gegenstück ist in NWR2.EXE ab Version 2.0 implementiert).

Das Programm soll Wiederholungsaufnahmen unterstützen. Neben den Arbeitsdaten kann auch ein Satz an Vergleichsdaten (Altaufnahme) geladen werden, diese Daten werden farblich abgesetzt dargestellt.


Grundlagen

Das verwendete Datenformat ist ein ASCII-Festspaltenformat mit 207 (alt) oder 240 (neu) Zeichen pro Zeile (zuzüglich Zeilenendemarkierung). Beide Formate können gelesen und geschrieben werden. Die interne Repräsentation der Daten ist dabei dieselbe, sodass das Programm auch zum Umsetzen des Formates benutzt werden kann.

Generell werden alle Daten gelesen und im Speicher gehalten, eine Schreiboperation findet erst auf explizite Anforderung durch den Benutzer statt.

Veränderung der Daten

Die Ausgangsdaten können durch NwrVis in zweierlei Hinsicht verändert werden:

  • Koordinaten neu berechnen
    Die kartesischen Koordinaten der Objekte können vom Programm neu berechnet werden. Dabei werden die Felder für x-, y- und z-Koordinate überschrieben, alle anderen Felder bleiben unverändert.

  • Unvollständig gelesen
    In manchen Fällen kann die Leseroutine nicht alle Daten verarbeiten.

    Insbesondere ist das der Fall, wenn eine Objektkennung mehrfach vorkommt, sie ist innerhalb des Programmes ein eindeutiger Schlüssel und Datensätze mit bereits vorhandener Kennung werden beim Lesen übersprungen.

    Daneben kann es vorkommen, dass die Leseroutine eine Zeile zwar einliest, aber nicht komplett verarbeiten kann. Hierfür ist das Bemerkungsfeld der Grund, denn eine bestimmte Information soll im alten Datenformat aus dem Text extrahiert werden, nämlich der noch vorhandene Prozentsatz bei Besonderheit 33 (unvollständig). Je nach Schreibweise gelingt das nicht immer. Erkannt wird eine zweistellige Zahl zu Beginn, gefolgt von einem Prozentzeichen, jedoch nicht nach einführendem Text wie "Bes. 33 mit ".

    Wenn beim Lesen Fehler auftreten, dann wird der Anwender mit einem Meldungsfenster darauf hingewiesen, das alle Fehler einzeln auflistet. Ein direktes Speichern ohne Namenswahl ist danach nicht möglich, um ein versehentliches Überschreiben der Originaldaten zu verhindern.


Installation: Umstieg auf neues Datenformat

Diese Kapitel beschreibt die einzelnen Schritte beim Installieren des Programmes und damit dem Umstieg auf das neue Datenformat mit 240 statt 207 Zeichen pro Zeile.

Installation NwrVis
Hintergründe und Problemfälle
Deinstallation
Umstellung auf das neue Datenformat


Installation NwrVis

Es wird ein Installer mit Namen "NwrVis_Setup.exe" ausgeliefert, ggf. mit einer Versionskennung im Dateinamen. Durch Ausführen dieses Installers wird das Programm NwrVis.exe installiert. Dabei kann der Anwender einen Installationsort wählen (in der Regel C:/Programme/NwrVis, wird vorgeschlagen). Eine bestehende Installation am gleichen Ort wird dadurch ersetzt, es kann also eine neuere Version über eine alte installiert werden.


Hintergründe und Problemfälle

Technisch passiert wenig: Das Verzeichnis wird angelegt und die Programm- und die Hilfedatei werden hineinkopiert. Außerdem wird ein Untervezeichnis "res" angelegt, in dem die Bilddateien für die Werkzeugleisten-Sybole liegen. Im Startmenü wird ein Eintrag für das Programm erzeugt.

In der Registry werden Einträge zum Installationsvorgang hinterlassen, der dadurch über die Systemsteuerung/Software rückgängig gemacht werden kann. Weitere Einträge bzw. Änderungen am System werden nicht vorgenommen, somit kann das Programm ggf. auch durch Kopieren des Programmverzeichnisses verwendungsbereit gemacht werden, falls kein Installer zur Hand ist.

  • Symboldateien
    Wird das Unterverzeichnis res bzw. werden die Symboldateien nicht gefunden, so erscheint beim Programmstart ein Hinweis und die Werkzeugleiste enthält nur den Zoomschieber.

  • Baumartenschlüssel
    Die Namen der Baumarten werden aus der Datei C:/KEYS/BAUMART.KEY gelesen, wenn sie vorhanden ist. Fehlt sie oder enthält sie nicht alle verwendeten Baumarten, so werden nur die Schlüsselnummern der Baumarten angezeigt und der Artname fehlt. Die Arbeit mit dem Programm NwrVis wird dadurch technisch nicht beeinträchtigt.


Deinstallation

Über die Systemsteuerung/Software kann der Installationsprozess rückgängig gemacht werden. Nach der Installation erzeugte Dateien (NwrVis.ini, evtl. prot.txt) werden dabei nicht gelöscht und müssen ggf. von Hand entfernt werden.

Wurde das Programm nicht durch den Installer, sondern durch Kopieren des Programmverzeichnisses auf einen Rechner gebracht (es gibt dann keinen Eintrag in der Systemsteuerung/Software), so kann einfach das Programmverzeichnis gelöscht werden.


Umstellung auf das neue Datenformat

Das Programm kann das alte und neue Datenformat lesen und schreiben. Es wird ausdrücklich empfohlen, nach Evaluierung der Software zügig komplett auf das neue Datenformat umzustellen. Das bedeutet, dass alle DAT-Dateien nach Erstellen einer Sicherungkopie im neuen Format gespeichert werden und dass die alten Programme NWR, UNIPLOT und AUSWERT mit diesen Dateien nicht mehr benutzt werden können. Auch die alten Excel-Makros können nicht mehr sinnvoll benutzt werden.

All diese Programm sollten zur Vermeidung von Unklarheiten und Fehlern von den jeweiligen Rechnern entfernt werden. In Excel ist im AddIn-Manager der alte Makro "Mak_imex_95" zu deaktivieren, die Datei sicherheitshalber zu entfernen oder umzubennen.

Die neuen Excel-Makros zum Import und Export befinden sich in der Datei "Nwr_Daten_2006.xla". Diese Datei ist im AddIn-Manager anzugeben und zu aktivieren, danach stehen dieselben Menüpunkte zum Speichern und Laden von DAT-Dateien bereit wie bisher. Aus technischen Gründen ist es für die Excel-Makros nicht ohne weiteres möglich, eine falsche Dateiversion zu erkennen (aus Geschwindigkeitsgründen wird der eingebaute Text-Import mit spezieller Konfiguration benutzt, der auch bei falscher Zeilenlänge ohne Fehlermeldung seine Arbeit verrichtet). Nach dem Import muss geprüft werden, ob die Dateiversion die richtige war. Das kann am Aussehen des Bemerkungsfeldes geschehen:

  • Stehen die ersten Zeichen der Bemerkung in den Feldern davor (Besonderheiten, etc.), so wurde der neue Import mit einer alten Datei aufgerufen.
  • Stehen im Bemerkungsfeld nur Zahlen und bekannte Bemerkungen fehlen, so wurde der alte Import mit einer neuen Datei aufgerufen.
Beide Fälle sind nach kurzer Übung auf den ersten Blick zu erkennen.

Die Programme NWR2.EXE (mit NWR2.INF), UNIPLOT2.EXE und AUSWERT2.EXE lesen ausschließlich das neue Datenformat. Sie ersetzen die alten Programme und werden genauso benutzt. Je nach Vorliebe können die Programme auch umbenannt werden, sodass sie die alten Namen tragen. Werden sie mit einer Datei im falschen Format aufgerufen, so geben sie einen Hinweis darauf und verweigern die Arbeit.

Die Formatbeschreibung NWR2.INF muss im Pfad 'C:/' stehen und ist für NWR2.EXE unverzichtbar (wie bereits NWR.INF für NWR.EXE).


Hauptfenster

Nach dem Programmstart und dem Laden einer Datei zeigt das Hauptfenster folgendes Bild:

(Ansicht des Hauptfensters)

Die Vergrößerung wird in Pixeln (auf dem Bildschirm) pro Meter (in den Aufnahmedaten) angegeben. Mit der Veränderung der Vergrößerung findet eine automatische Umschaltung der Pflocknummern (bei 3), der Objektnummern (bei 10) und der Bemerkungstexte (bei 30) statt.

Ein markiertes Objekt wird durch einen dicken rosafarbenen Rahmen gekennzeichnet.

Im Beispiel sind nicht nur Arbeitsdaten, sondern auch Vergleichsdaten geladen. Letztere werden mit schwächeren Farben dargestellt.

In der Statuszeile unten werden Name und Format der geladenen Dateien angezeigt.


Werkzeugleiste

In der Werkzeugleiste sind einige Menüpunkte direkt über ein Symbol zugänglich:
Daten nochmal laden

Objekt nach Kennung suchen

Objekt einmalig übernehmen

Objekt dauerhaft koppeln (einrastend)

Objekt-Konfiguration bearbeiten

Farbmodell für Arbeitsdaten und Vergleichsdaten wählen

Daneben enthält sie einen Zoomschieber, der auch den aktuelle Vergrößerungsfaktor in Pixeln (Bildschirm) pro Meter (Aufnahmedaten) anzeigt:

Bei jeder Änderung der Größe wird die Ansicht auf das aktuelle markiert Objekt zentriert, soweit es die Scrollbalken des Hauptfensters zulassen. So wird das markierte Objekt auf jeden Fall sichtbar.
Ist kein Objekt markiert, so wird auf die Koordinate des letzten Mausklicks zentriert.


Drag und Drop: Laden durch Hereinziehen einer Datei

Das Programm NwrVis kann ein oder zwei Dateien durch Mausoperationen laden. Bei zwei Dateien ist die erste (die "angefasste") die Arbeitsdatei, die andere ist die Vergleichsdatei.
Diese Operation funktioniert sowohl mit einer Verknüpfung auf die Programmdatei als auch mit dem Hauptfenster des laufenden Programmes.

Das Hauptfenster erlaubt es auch, gezielt nur die Vergleichsdaten zu laden. Dafür wird bei geladenen Arbeitsdaten eine einzelne Datei über die rechte Hälfte des Hauptfensters gezogen, es erscheint dabei ein Pluszeichen als Hinweis. Wird die Maustaste nun losgelassen, so bestimmt die fallengelassene Datei die Vergleichdaten und die Arbeitsdaten bleiben unverändert.

Wird eine einzelne Datei über der linken Hälfte fallengelassen, so wird sie als Arbeitsdaten geladen und die Vergleichsdaten sind entfernt.


Markieren durch Mausklick

Das Programm NwrVis kann ein einzelnes Objekt markieren, es wird dann mit einem dicken rosafarbenen Rahmen umgeben.
Das Markieren kann durch Suchen, Übernehmen und Koppeln stattfinden sowie auch durch Mausklick im Hauptfenster.

Wenn im Hauptfenster ein Mausklick geschieht, dann werden in den Arbeitsdaten alle Objekte darauf geprüft, ob ihr umgebender Rahmen (nur das Hauptsymbol, also ohne Schiefe-Linie, ohne Verbindungslinie, keine Krone) den Ort des Mausklicks (mit wenigen Pixeln Toleranz) umschließt.
Dabei werden die "kleinen" Objekttypen (1, 3 und 6) zuerst betrachtet, danach der Rest.

Wird kein solches Objekt gefunden, so ist kein Objekt markiert und die Ansicht wird auf den angeklickten Punkt zentriert.

Wird ein solches Objekt oder mehrere gefunden, so spielt es eine Rolle, welches Objekt gerade markiert ist:

  • Keines oder eines weiter weg, dann wird das erste gefundene Objekt markiert.
  • Eines aus der Liste, dann wird das nächte Objekt in der Liste markiert.
  • Das letzte Objekt der Liste, dann wird kein Objekt markiert.
Somit wird ein kleines, gezielt angeklicktes Objekt sofort markiert, auch wenn mehrere andere Objekte (z.B. liegende Bäume) mit großem umgebenden Rechteck ebenfalls in Frage kommen. Sie sind aber je nach Vergröerung unter Umständen nicht einmal sichtbar.

Außerdem kann durch eine Gruppe von nahe beeinanderliegenden bzw. sich überdeckenden Objekten zyklisch immer wieder durchgeklickt werden.


Tastenkommandos

Generell können alle Menüpunkte nach Drücken der ALT-Taste auch über die Tastatur mittels der Cursor-Tasten bzw. der dann unterstrichenen Buchstaben erreicht werden.

Für die Objektsuche gibt es den Schnellzugriff CTRL-F.

Darüber hinaus können zahlreiche Fuktionen direkt mit einem Tastendruck erreicht werden, wenn die Kartenansicht den Fokus hat:

Taste | Wirkung
+ | Vergrößern der Ansicht um eine Stufe (Faktor 1.1)
- | Verkleinern der Ansicht um eine Stufe (Faktor 1.1)
l | Umschalten Zersetzungsgrad: lebende/tote/alle
1 | Umschalten des Objektyps 1
2 | Umschalten des Objektyps 2
3 | Umschalten des Objektyps 3
4 | Umschalten des Objektyps 4
5 | Umschalten des Objektyps 5
6 | Umschalten des Objektyps 6
7 | Umschalten des Objektyps 7
p | Umschalten des Objektyps p
z | Umschalten des Objektyps z
s | Umschalten des Objektyps s
a | Umschalten des Objektyps a
k | Umschalten des Objektyps k
h | Umschalten des Objektyps h
v | Umschalten des Objektyps v
F | Umschalten der Farbdarstellung: bunt/schwarz wenn keine Vergleichsdaten geladen sind, sonst bunt und flau/bunt und grau/bunt ohne Vergleichsdaten/schwarz und grau/schwarz ohne Vergleichsdaten
K | Umschalten des Elementes Objektkreuz fester Größe
S | Umschalten des Elementes Schiefe-Linie
V | Umschalten des Elementes Verbindungslinie bei verbundenen Objekten
E | Umschalten des Elementes Einmessungslinie
P | Umschalten der Pflocknummern
N | Umschalten der Nummern für normale Objekte
T | Umschalten des Bemerkungstextes
A | Alles zeigen: Standard-Ansicht herstellen


Meldungsfenster

Dieser Dialog zur Anzeige einer Liste von Meldungstexten wird an mehreren Stellen im Programm verwendet. Er kann in zwei Versionen und unterschiedlichen Stilen angezeigt werden.

Die Stile betreffen die Sortierung der Einträge (nach Level Fehler/Warnung/Meldung oder nach Ursprungsreihenfolge) und die Anzeige als einfachen Text (kann kopiert werden zum Einfügen in anderen Fenstern) oder als Html mit farbig hinterlegten Meldungen je nach Level.

Die Versionen sind:

  • Variabler Stil, hier kann der Anwender über einen Button einen kleinen Einstellungsdialog für die Stile öffnen:

    (Meldungsfenster im variablen Stil)

    Der Button Export zeigt einen Dateiauswahldialog an, der mit dem aktuellen Pfad und einem sinnvollen Dateinamen vorbelegt ist. Gespeichert wird das dargestellte Format, also möglicherweise Html-Code statt Text.

    Der Button Extra öffnet einen Einstellungsdialog:

    (Einstellungsdialog des Meldungsfensters)

    Hier kann die Darstellung der Meldungen in Aussehen und Reihenfolge beeinflusst werden. Die Meldungen selbst bleiben dabei unverändert, sodass die Einstellungen beliebig oft geändert werden können.
    Die Darstellung als normaler Text kann hilfreich sein, wenn die Meldungen in einer Datei gespeichert werden sollen.
    Die Sortierung kann hilfreich sein, wenn die Anzahl der Meldungen groß ist.

  • Fester Stil, hier kann der Anwender aus dem Html-Modus einmalig in den Textmodus wechseln und dann den Text als Datei speichern:

    (Meldungsfenster im festen Stil)


Menüeinträge

In diesem Kapitel werden alle Menüeinträge erläutert.

Datei
Karte
Ansicht
Objekt
Extra
?


Datei

Unter diesem Menüpunkt befinden sich Einträge auf Datei- und Programmebene.

Laden
Nochmal laden
Speichern
Speichern unter...
Vergleichsdaten
Eigenschaften
Beenden


Laden

Öffnet ein Auswahlfenster zum Laden einer Datei (Arbeitsdaten). Diese Daten ersetzen die eventuell im Speicher vorhandenen Arbeitsdaten. Beim Laden werden eventuell vorhandene Vergleichsdaten aus dem Speicher entfernt.


Nochmal laden

Lädt eine bereits geladene Datei erneut, Ansicht und Vegleichsdaten bleiben erhalten.


Speichern

Speichern ohne Namenswahl. Speichert die Arbeitsdaten unter dem aktuellen Namen und im aktuellen Format.


Speichern unter...

Öffnet ein Auswahlfenster zum Speichern der Arbeitsdaten unter einem bestimmten Namen und ein einem bestimmten Format.


Vergleichsdaten

Öffnet ein Auswahlfenster zum Laden einer Datei (Vergleichsdaten). Diese Daten ersetzen die eventuell im Speicher vorhandenen Vergleichsdaten.


Eigenschaften

Zeigt Information über die geladenen Daten an (Arbeitsdaten und Vergleichsdaten).


Beenden

Beendet das Programm. Es wird damit derzeit kein Speichervorgang ausgelöst, da die vorgenommenen Veränderungen an den Daten maschinell stattfinden und jederzeit erneut erfolgen können.


Karte

Aktionen zum Ausgeben der Kartenansicht.

DXF speichern


DXF speichern

Speichert die Arbeitsdaten als simple DXF-Datei: Ein Layer, schwarze Farbe. Dabei werden die Objekte und Elemente erzeugt, die in der aktuellen Bildschirmansicht sichtbar sind.


Ansicht

Konfiguration der angezeigten Objekte und Elemente. Die Einstellungen beziehen sich auf Arbeits- und Vergleichsdaten gleichermaßen, wo nicht anders genannt.

Objekt-Konfiguration
Farbmodell
Arten-Filter
BHD-Filter


Objekt-Konfiguration

Es öffnet sich ein Dialogfenster, in dem gewählt werden kann, welche Objekttypen und welche Elemente (Schiefe-Linie, etc.) angezeigt werden sollen.

Über die Buttons können auch Arten-Filter und BHD-Filter bearbeitet werden.
Der Button "Standard" zeigt alle Objekte und die normalen Elemente an und setzt bei "OK" auch das Farbmodell auf den Startwert bunt/flau.

Diese Einstellungen können auch über Tastenkommandos getätigt werden.


Farbmodell

Es öffnet sich ein Dialogfenster, in dem das Farbmodell für die Arbeitsdaten und die Vergleichsdaten ausgewählt werden kann.

Diese Einstellungen kann mit geringer Einschränkung bezüglich der möglichen Kombinationen auch über Tastenkommandos getätigt werden.


Arten-Filter

Es öffnet sich ein Dialogfenster, in dem gewählt werden kann, welche Baumarten angezeigt werden sollen.

Zur Auswahl stehen alle Arten, die in den Arbeits- oder Vergleichsdaten vorkommen, die Anzahlen werden in Klammern genannt.

Mittels der Buttons oben können mit einem Klick alle Arten ein- oder ausgeschaltet werden.

Ist der Arten-Filter deaktiviert, so sind die Baumarten grau dargestellt und inaktiv.


BHD-Filter

Es öffnet sich ein Dialogfenster, in dem mit Unter- und Obergrenze ein Dicken-Bereich für die Anzeige von Bäumen (Typen 1 bis 7) gewählt und aktiviert werden kann. Bleibt eine Angabe leer, so gilt hier keine Einschränkung.

Ist der BHD-Filter aktiviert, so werden Baum-Objekte nur angezeigt, wenn ihre Dicke im angegebenen Bereich inklusive der Randwerte liegt.


Objekt

Aktionen, die sich auf ein bestimmtes Objekt beziehen.

Suchen
Übernehmen
Koppeln
Eigenschaften


Suchen

Auch erreichbar mit der Tastenkombination CTRL-F.
Es öffnet sich ein Eingabefenster für eine Objektkennung. Sie muss exakt eingegeben werden, lediglich das Komma wird ggf. durch den Dezimalpunkt ersetzt. Das Objekt mit dieser Kennung wird gesucht und bei Erfolg markiert.


Übernehmen

Wie Suchen, jedoch wird die Objektkennung von einem externen Programm übernommen (aus der Datei "c:/daten/objekt.txt") gelesen.


Koppeln

Dieser Menüpunkt ist umschaltbar.
Wenn er aktiviert ist, dann wird immer nach einem einstellbaren Intervall die Objektkennung von außen übernommen (s. Übernehmen). Das Zeitintervall wird beim Aktivieren der Koppelung erfragt.


Eigenschaften

Zeigt die Eigenschaften des markierten Objektes an:
  • Objektkennung
  • Alle Datenfelder mit Name und Inhalt
  • ggf. Flächenangaben


Extra

Koordinaten ber.
Flächen und Linien


Koordinaten ber.

Berechnet die kartesischen Koordinaten aller Objekte.
Dabei werden die Felder für die x-, y- und z-Koordinate überschrieben, alle anderen Felder bleiben unverändert. Die Berechnung erfolgt rekursiv, für jedes benötigte Objekt werden zunächst die Koordinaten berechnet. Daher liegen unabhängig von der Reihenfolge der Datensätze alle Koordinaten nach einem einzigen Aufruf dieser Funktion vollständig berechnet vor.


Flächen und Linien

Erstellt eine Übersicht der flächigen Objekte und der offenen und geschlossenen Linienzüge in den Arbeitsdaten.


?

Unter diesem Menüpunkt befinden sich Hilfe und Information zum Programm.

Hilfe
Info
Fehlerprotokoll


Hilfe

Ruft dieses Hilfedokument auf.


Info

Zeigt die Programmversion sowie eine kurze Information zum Programm und zum Entwickler.


Fehlerprotokoll

Hier öffnet sich ein kleines Dialogfenster, mit dem der Status des Fehlerprotokolles sichtbar ist und geändert werden kann. Wenn das Fehlerprotokoll eingeschaltet ist, werden zahlreiche Ausgaben in die Protokolldatei "prot.txt" im Programmverzeichnis gemacht. Dieser Modus dient dazu, ein festgestelltes Fehlverhalten zu reproduzieren und die währenddessen erfolgten Ausgaben zur Fehlersuche durch den Entwickler zu verwenden.

Bei Programmstart ist das Protokoll ausgeschaltet und in die Datei "prot.txt" werden nur sehr wenige Ausgaben gemacht, z.B. wird das Auftreten einer Ausnahme (Laufzeitfehler) protokolliert, wenn das möglich ist.


Änderungen zwischen den Versionen

Eine kurze Übersicht, was in einer Version neu oder verbessert ist.

Version 1.0.0
Version 0.8.1
Version 0.8.0


Version 1.0.0

  • Der Dialog für die Konfiguration der Objekte existiert nun.
  • Es gibt einen Dialog zur Einstellung des Farbmodells für Arbeitsdaten und Vergleichsdaten.
  • Es gibt einen Dialog zur Auswahl der Baumarten (Arten-Filter), er kann wie der BHD-Filter nicht nur über einen Menüpunkt, sondern auch aus dem Objekt-Konfigurationsdialog heraus aufgerufen werden.
  • Die Berechnung der Flächen und Linien ist implementiert.
Damit sind für diese Version keine Punkte mehr offen.


Version 0.8.1

Es wurden offensichtliche Kleinigkeiten ausgebügelt, die bei der Vorführung am 27.8.2006 an der FAWF störend aufgefallen sind:
  • Der Zoomschieber behält nun den Fokus nicht mehr, sodass Tastendrücke sofort im Hauptfenster verarbeitet werden. Es ist kein Mausklick mehr ins Hauptfenster nötig, um die Tastenkommandos zu verwenden.
  • Die Ansicht ändert sich nun nicht mehr, wenn die Arbeitsdaten "nochmal" geladen werden.


Version 0.8.0

Erste Version zur Teststellung an der FAWF.
Einige Punkte sind noch nicht implementiert:
  • Dialog zur Konfiguration der Objekte für die Ansicht (größtenteils durch Tastenkommandos abgedeckt).
  • Dialog zur Konfiguration der Arten.
  • Linien und Flächen für die kompletten Arbeitsdaten berechnen und auflisten.


Glossar

Kennung, Objektkennung
Markierung
Objektkennung
Zentrieren der Ansicht


Kennung, Objektkennung

Kurzer Text, der jedes Objekt in den Daten eindeutig kennzeichnet. Bei gewöhnlichen Objekten die Nummer (mit Nachkommastelle, z.B. "12345.9"), bei Pflöcken der Rechtswert, Schrägstrich, Hochwert (z.B. "2/3").


Markierung

Unter Umständen ist ein Objekt markiert. Es wird dann mit einem dicken rosa Rechteck gekennzeichnet und es besteht die Möglichkeit, seine Eigenschaften anzusehen. Die Markierung eines Objektes kann durch Eingabe der Kennung, durch Übernahme der Kennung aus einem anderen Programm oder durch Mausklick im Hauptfenster erfolgen.


Inhaltsverzeichnis hoch << >>

Objektkennung

s. Kennung


Zentrieren der Ansicht

Die Scrollbalken werden so verschoben, dass der zu zentrierende Punkt möglichst in der Mitte der Kartenansicht liegt. Dabei hat die Rasterung der Scrollbalken einen Einfluss, sie können nur in kleinen Sprüngen verschoben werden.
Liegt der Punkt am Rand der Fläche oder ist der Vergrößerungsfaktor klein, so kann es vorkommen, dass der zu markierende Punkt auch bei bis zum Anschlag gesetzten Scrollbalken nicht in der Bildmitte liegt.